Subject: Summary: ONIOM and gen cannot work together

From: Yubo Fan <[email-masked]>
Date: Wed, 14 Feb 2001 10:53:26 +0000

Thanks for all replies. I have solve this problem by Ata's advice. Just
add two blank lines at the end of the molecular specification input.

Below is the question and the replies:

Hi, everyone,

Today, I tried ONIOM method to calculate a rather big system containing
a Nickel atom. I used a modified lanl2dz basis set to Ni and 6-31++G**
to all atoms in the directly coordinated groups. B3LYP was used for this

part of the molecule. PM3 was used to those substituents on the ligands.

The input file is listed below:

#P ONIOM(B3LYP/gen:PM3) Pseudo=cards opt scf=(maxcycle=256) freq

molecule specification

  Ni 0
 S    3 1.00
  0.7620000000D+01 -0.4082550000D+00
  0.2294000000D+01  0.7455308000D+00
  0.8760000000D+00  0.5325721000D+00
 S    4 1.00
  0.7620000000D+01  0.1872591000D+00
  0.2294000000D+01 -0.3966964000D+00
  0.8760000000D+00 -0.4954003000D+00
  0.1153000000D+00  0.1084434000D+01
 S    1 1.00
  0.3960000000D-01  0.1000000000D+01
 P    3 1.00
  0.2366000000D+02 -0.4815580000D-01
  0.2893000000D+01  0.6258473000D+00
  0.9435000000D+00  0.4715158000D+00
 P    4 1.00
  0.2366000000D+02  0.7131470000D-02
  0.2893000000D+01 -0.1089909500D+00
  0.9435000000D+00 -0.4615260000D-01
  0.8400000000D-01  0.8025519700D+00
 P    1 1.00
  0.2400000000D-01  0.1000000000D+01
 D    4 1.00
  0.4272000000D+02  0.3726990000D-01
  0.1176000000D+02  0.1956103000D+00
  0.3817000000D+01  0.4561273000D+00
  0.1169000000D+01  0.5621587000D+00
 D    1 1.00
  0.2836000000D+00  0.1000000000D+01
 ****
2 3 4 5 6 7 8 9 10
6-31++G**
****

 Ni 0
 lanl2dz

But, this job could not work properly and the following error message
was printed in the output file.

 Standard basis: VSTO-3G (5D, 7F)
 ===============================================================================

====================================================
 PSEUDOPOTENTIAL PARAMETERS
 ===============================================================================

====================================================
  CENTER     ATOMIC      VALENCE      ANGULAR      POWER
                               COORDINATES
  NUMBER     NUMBER     ELECTRONS     MOMENTUM     OF R
EXPONENT        COE
FFICIENT                X           Y           Z
 ===============================================================================

====================================================
  WANTED AN INTEGER AS INPUT.
  FOUND AN END-OF-LINE FOR INPUT.
 STO-3G

       ?
 Error termination via Lnk1e in /usr/local/g98.a7//g98/l301.exe.

Cannot G98 work properly when ONIOM and gen are used together? Any
advices are prefered.

Thanks in advance

Yubo

--
============================================================
Dr. Yubo Fan               Email: [email-masked]
Department of Chemistry    Tel:   1-979-845-7222
Texas A&M University
College Station, TX 77843
============================================================

??????????

It's possible, look this example:

$RUNGAUSS
%chk=teste_mcg.chk
#P opt freq oniom(hf/gen:hf/gen) 6d 10f pseudo=cards

Gaussian Test:

0 1 0 1
C  0.000000    0.000000    0.000000
H  0.000000    0.000000    1.100000
O  1.125833    0.000000   -0.650000
C -1.299038    0.000000   -0.750000 L H
F -1.041506    0.000000   -2.126109 L
F -2.033682   -1.142892   -0.412219 L
F -2.033682    1.142892   -0.412219 L

@./h-0.gbs
****
@./c-0.gbs
****
@./o-0.gbs
****
@./f-0.gbs
****

C 0
C    1     2
L=1   COMPONENT
 1
     1      8.56468  -.89371
L=0   COMPONENT
 2
    0       2.81497   1.92926
    2       8.11296  14.88199
O 0
O    1     2
L=1   COMPONENT
 1
     1      16.11718   -.92550
L=0   COMPONENT
 2
    0      5.05348   1.96069
    2      15.95333 29.13442
F 0
F    1     2
L=1   COMPONENT
 1
     1     20.73959  -.93258
L=0   COMPONENT
 2
    0       6.60488    2.03649
    2       18.24092  27.86279

@./h-0.gbs
****
@./c-0.gbs
****
@./o-0.gbs
****
@./f-0.gbs
****

C 0
C    1     2
L=1   COMPONENT
 1
     1      8.56468  -.89371
L=0   COMPONENT
 2
    0       2.81497   1.92926
    2       8.11296  14.88199
O 0
O    1     2
L=1   COMPONENT
 1
     1      16.11718   -.92550
L=0   COMPONENT
 2
    0      5.05348   1.96069
    2      15.95333 29.13442
F 0
F    1     2
L=1   COMPONENT
 1
     1     20.73959  -.93258
L=0   COMPONENT
 2
    0       6.60488    2.03649
    2       18.24092  27.86279

In your case it's because PM3 tries read pseudo potentials every time
it is executed, so you must "remember" PM3 that there isn't pseudo
potentials. Leave more than 2 blank lines at the end of the input and
try again (I guess).

Ata.

--
 Ataualpa Albert Carmo Braga            [email-masked]
                                        http://www.iqm.unicamp.br

?????????

Yubo,

In my experience, ONIOM has trouble reading pseudopotentials. Although
there might be other ways to do it (and I'd love to hear if anyone
suggests
them), you need to use an IOp to get it to work. With only one QM layer,

you might be able to just add IOP(3/17=8) to your route card. Otherwise,

you'd need to do a non-standard route, where you include the 17=8 option

in
any line that begins with 3/5=7... .

--Steve

Steven Feldgus <[email-masked]>

Subject:
         Re: CCL:Summary:DFT for hydrogen bond
     Date:
         Thu, 8 Feb 2001 17:25:44 -0200
     From:
         Ataualpa Albert Carmo Braga <[email-masked]>
       To:
         Yubo Fan <[email-masked]>
 References:
         1

>From GAMESS's manual:

MOPAC parameters exist for the following elements.
The quote means that these elements are treated as
"sparkles" rather than as atoms with genuine basis
functions.  For MNDO:

  H
 Li  *          B  C  N  O  F
 Na' *         Al Si  P  S Cl
  K' * ...  Zn  * Ge  *  * Br
 Rb' * ...   *  * Sn  *  *  I
 *   * ...  Hg  * Pb  *

          For AM1:                         For PM3:
  H                               H
  *  *          B  C  N  O  F     *  Be         *  C  N  O  F
 Na' *         Al Si  P  S Cl    Na' Mg        Al Si  P  S Cl
  K' * ...  Zn  * Ge  *  * Br     K' * ...  Zn Ga Ge As Se Br
 Rb' * ...   *  * Sn  *  *  I    Rb' * ...  Cd In Sn Sb Te  I
 *   * ...  Hg  *  *  *          *   * ...  Hg Tl Pb Bi

Ata.

--
 Ataualpa Albert Carmo Braga            [email-masked]
                                        http://www.iqm.unicamp.br

Subject:
         Re: CCL:ONIOM and gen cannot work together
     Date:
         Thu, 8 Feb 2001 15:16:12 -0500 (EST)
    From:
         [email-masked] (Cust. Service Doug)
 Reply-To:
         [email-masked]
      To:
         [email-masked]
(Yubo Fan)

  Dr. Fan,

   First, the ONIOM methods cannot handle this case with PM3 because
there is no PM3 parametriztion for Ni.  You do need to be careful on
using Gen and PSEUDO=CARDS as well.

   The problem with PM3 arises because the ONIOM model computes the
full model at the low level of theory and the model system at the low
level of theory, both of these require a parametrization for Ni.  You
can use UFF or a low level HF instead.

   The general basis and ECP input needs to be supplied in the order
the calculation uses it and the Pseudo=Cards forces each layer to
read an ECP input line whether it is used or not.  Rev. A.9 implements
the GenECP option to simplify this but if you choose to have GEN
on more than one level or ExtraBasis you can still encounter this.

   The order is Low level on the Real or whole system.  Next is the
medium model with the intermediate method.  Third the model system with
the high level of theory.  Then the corrections low level of theory on
the medium model, the intermediate level of theory on the model and
finally the low level of theory on the model system.  In the case where
there any two levels the three calculations using either the
intermediate
level of theory or the medium model are omitted.  The low level of
theory
on the model system is done even in the three level case where it is not

used for the ONIOM energy.

   So if you are using Rev. A.9 then switch to ONIOM(B3LYP/GenECP:UFF)
or ONIOM(B3LYP/GenECP:HF/STO-3G).  If you are using an earlier revision
you will need to include a blank line before the General basis input and

one after the general basis so that the PSEUDO=READ will get its
empty input section and proceed.
--

  Douglas J. Fox
  Technical Support
  Gaussian, Inc.
  [email-masked]